Last Version of Firefox for OS X 10.6 to 10.8 Available Now

On August 2, 2016, Firefox 48.0 was released. It is scheduled to be replaced by Firefox 49.0 on September 13, 2016. At that point, Mac users using OS X 10.6 Snow Leopard, 10.7 Lion, and 10.8 Mountain Lion will be left behind by the current versions of Firefox. It will be a sad day, as Firefox is the last major browser to support Mac OS X 10.6 through 10.8.

Firefox logoBut it’s not all bad news. Firefox has given us Mac support longer than Google’s Chrome browser, which left us behind in April 2016. And in comparison to Apple’s Safari browser, Chrome and Firefox have been downright generous. Safari 5.1.10 was the last version for OS X 10.6, and that arrived on September 12, 2013. Safari 6.1.6, the final revision for OS X 10.7, was unleashed on August 13, 2014, and 6.2.8, the last version for OS X 10.8, a year later on August 13, 2015.

Chrome gave Snow Leopard users 2-1/2 years more support than Apple did, Lion users 20 months more, and Mountain Lion 8 months. When Firefox 49.0 arrives, Snow Leopard users will have had 3 years more support by Firefox than Safari gave them. Lion users, 25 months, and Mountain Lion holdouts, 13 months.

Outdated Does Not Mean Obsolete

Fear mongers will insist on running the latest version of browser on a fully up-to-date operating system with the belief that anything else puts you at risk. The truth is, there are unknown risks in the latest software. You can never be 100% secure.

However, you can be very productive with older operating systems, applications, and browsers. Just because some new piece of software requires a newer OS version is no reason to upgrade – unless it gives you a feature you really need to have. I have been happily working with OS X 10.6 on my 2007 Mac mini for years. I use Safari, Chrome, and Firefox daily on it, and only one of them is current – and not for much longer.

Then again, OS X Snow Leopard itself is far from current, yet it allows me to run lots of software and be very productive. I don’t find it limiting at all to use outdated software with an outdated operating system on a discontinued computer that will never run OS X 10.8 or newer. It’s good enough for what I need it to do.

Honestly, that’s the whole point of Low End Mac. You can be productive even if you can’t run the latest Mac OS and browser. After all, there was a time when they had nothing newer to use, and they were productive then.

The Real World

Security experts will count out hundreds or thousands of security issues with whatever you’re doing on your computer, and none of it matters until someone targets that issue in a way that reaches your machine. That’s the real world. Theoretical security problems are not real until they become exploits, and even then the problem might never reach your system if you’re not downloading apps from unreliable sources.

Further Reading

Keywords: #firefox #osxsnowleopard #osxlion #osxmountainlion

Short link: http://goo.gl/bhnbpU

This site uses Akismet to reduce spam. Learn how your comment data is processed.